#include<bits/stdc++.h>
#include "partition.h"
#define int long long
#define endl "\n"
using namespace std;
void speed()
{
    ios_base :: sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
}

vector<int> solve(vector<int> A)
{
    int n = A.size();
    vector<pair<int, int> a(n);
    for(int i = 0; i < n; ++i)
    {
        a[i].first = A[i];
        a[i].second = i;
    }
    sort(a.begin(), a.end());
    reverse(a.begin(), a.end());
    vector<int> ans(n);
    for(int i = 0; i < n; i++)
    {
        ans[i] = a[i].second;
    }
    return ans;
}

